OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class NotificationCommandFactory

    java.lang.Object
      org.opennms.netmgt.config.NotificationCommandManager
          org.opennms.netmgt.config.NotificationCommandFactory

public class NotificationCommandFactory
extends NotificationCommandManager

Field Summary
`private static boolean` `initialized` Boolean indicating if the init() method has been called
`private static NotificationCommandFactory` `instance`

Fields inherited from class org.opennms.netmgt.config.NotificationCommandManager
`configIn`

Constructor Summary
`private` `NotificationCommandFactory()`

Method Summary
`static NotificationCommandFactory` `getInstance()`
`static void` `init()`
`void` `reload()`

Methods inherited from class org.opennms.netmgt.config.NotificationCommandManager
`getCommand, getCommands, parseXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static NotificationCommandFactory instance

### initialized

    private static boolean initialized

  Boolean indicating if the init() method has been called

Constructor Detail

### NotificationCommandFactory

    private NotificationCommandFactory()

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getInstance

    public static NotificationCommandFactory getInstance()

### reload

    public void reload()
                throws org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException,
                       java.io.FileNotFoundException,
                       java.io.IOException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`
    `java.io.FileNotFoundException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.